> For the complete documentation index, see [llms.txt](https://docs.unskript.com/unskript-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unskript.com/unskript-documentation/tooling/role-based-access-control/rbac-roles.md).

# RBAC Roles

Under the **User Management** category, you will find all of the users who are members of your unSkript Environment.  To give them access to RunBooks at various levels, we use the Role Based Access Controls at a group level.

1. Create a Group and add users to the group.
2. Add Access at the folder level, at the access level desired.

### Viewer

The lowest level of access control.  The viewer can view all of the xRunBooks in a Folder, but cannot run them.

{% embed url="<https://youtu.be/ai-lRwe4ajA>" %}

### Executor&#x20;

Executors can view all the RunBooks in the Folder, but also can execute RunBooks via the **Run** button.  They cannot edit RunBooks, nor use the **Interactive Run** feature.

{% embed url="<https://youtu.be/hCguIeJ5_b4>" %}

### Editor&#x20;

Editors can view and execute RunBooks in the given directory, but also can open the RunBook and make changes.

{% embed url="<https://youtu.be/1-6G8_AqPRo>" %}

### Approver

Approvers can view xRunBooks in the Directory, but may not execute or edit them. The additional access for the approver is the ability to approve the execution of xRunBooks that require approval.

{% embed url="<https://youtu.be/eYopN-X7Mr4>" %}

### Requestor

The Requestor is an extension of the Executor role (they can see and run all of the RunBooks in a directory, but cannot edit them). Additionally, requestors can request a xRunBook to be run (and this will require an approval step). &#x20;

{% embed url="<https://youtu.be/qRmCKAdBNo8>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/tooling/role-based-access-control/rbac-roles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
